Package ru.bitel.bgbilling.plugins.documents.server.bean.event

# Class DocumentGeneratedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.plugins.documents.server.bean.event.DocumentGeneratedEvent

All Implemented Interfaces:
  `Serializable`

public class DocumentGeneratedEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие, бросаемое после того, как был сгенерирован документ по шаблону

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentGeneratedEvent()`
  `DocumentGeneratedEvent(int moduleId, int pluginId, int contractId, int userId, Document doc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Document`
  `getGeneratedDocument()`
  Возвращает сгенерированный документ

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentGeneratedEvent

    public DocumentGeneratedEvent()

  - ### DocumentGeneratedEvent

    public DocumentGeneratedEvent(int moduleId, int pluginId, int contractId, int userId, Document doc)

- ## Method Details

  - ### getGeneratedDocument

    public Document getGeneratedDocument()
    Возвращает сгенерированный документ
    Returns:
      сгенерированный документ